---
updatedAt: 2026-05-13T09:04:43.000Z
---

# Create GDPR request

Create a GDPR request

Pass the `authorUUID` (this is the same as the `lswUuid` returned from other SMM APIs) in the body of the request. Content-type must be `application/x-www-form-urlencoded`.

Optionally include the `includeResponses` parameter in the body of the request set to true to delete brand responses within the conversations with the user specified by authorUUID.

After the request is processed:

* The author’s name is redacted
* The author profile is removed
* Conversation internal notes are deleted
* Author's information is redacted on the Analytics page
* Author's information in reports is removed
* All content created by the author is deleted

[block:callout]
{
  "type": "info",
  "title": "Note",
  "body": "A GDPR request can be queued for up to an hour before being processed."
}
[/block]

# Get the `authorUUID` of a user

The following Author APIs return an `lswUUID` (the UUID you will pass aw the `authorUUID`).

* [GET /api/v2/authors/networks/networktype/ids/networkid](https://developer.khoros.com/khoroscaredevdocs/reference/authorsnetworksnetworktypeidsnetworkid)
* [GET /api/v2/authors/networks/networktype/instances/networkinstance/ids/networkid](https://developer.khoros.com/khoroscaredevdocs/reference/authorsnetworksnetworktypeinstancesnetworkinstanceidsnetworkid-1)
* [GET /api/v2/authors/networks/networktype/handles/networkhandle](https://developer.khoros.com/khoroscaredevdocs/reference/authorsnetworksnetworktypehandlesnetworkhandle)
* [GET /api/v2/authors/networks/networktype/instances/networkinstance/handles/networkhandle](https://developer.khoros.com/khoroscaredevdocs/reference/authorsnetworksnetworktypeinstancesnetworkinstancehandlesnetworkhandle)

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "gdpr-api-v2",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://{instance}.response.lithium.com/api/v2/gdpr",
      "variables": {
        "instance": {
          "default": "instance"
        }
      }
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/requests": {
      "post": {
        "summary": "Create GDPR request",
        "description": "Create a GDPR request",
        "operationId": "requests",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "authorUUID"
                ],
                "properties": {
                  "authorUUID": {
                    "type": "string",
                    "description": "The the `lswUuid` returned from other Care APIs"
                  },
                  "includeResponses": {
                    "type": "boolean",
                    "description": "Set to `true` to delete brand responses within the conversations with the user specified by `authorUUID`."
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"status\": \"success\",\n    \"data\": {\n        \"requestID\": \"c3731601-b387-406b-8472-fb97ea6a9f08\",\n        \"requestStatus\": \"https://your_social_response_instance/api/v2/gdpr/requests/c3731601-b387-406b-8472-fb97ea6a9f08\",\n        \"remainingTokens\": 29 // Number of actions remaining before rate limits are enforced\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "requestID": {
                          "type": "string",
                          "example": "c3731601-b387-406b-8472-fb97ea6a9f08"
                        },
                        "requestStatus": {
                          "type": "string",
                          "example": "https://your_social_response_instance/api/v2/gdpr/requests/c3731601-b387-406b-8472-fb97ea6a9f08"
                        },
                        "remainingTokens": {
                          "type": "integer",
                          "example": 29,
                          "default": 0
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "python",
              "code": "import requests\nurl = \"https://instance.response.lithium.com/api/v2/gdpr/requests\"\npayload = {\n     \"authorUUID\": \"string\"\n}\nresponse = requests.post(url, params=payload, auth=HTTPBasicAuth(\"username\", \"password\"))\nprint(response.text) "
            }
          ],
          "samples-languages": [
            "python"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```